#ifndef _PARMS_ILU_VCSR_H_
#define _PARMS_ILU_VCSR_H_

#include "../../include/parms_mat_impl.h"
#include "../../include/parms_opt_impl.h"

extern int parms_ilu0_vcsr(parms_Mat self, parms_FactParam param, void
			   *data, parms_Operator *op); 
extern int parms_iluk_vcsr(parms_Mat self, parms_FactParam param, void
			   *data, parms_Operator *op); 
extern int parms_ilut_vcsr(parms_Mat self, parms_FactParam param, void
			   *data, parms_Operator *op); 
extern int parms_arms_vcsr(parms_Mat self, parms_FactParam param, void
			   *data, parms_Operator *op); 

extern int qsplitC(double *a, int *ind, int n, int ncut);

extern PARMS_ILU parms_ilu_func_vcsr[];

#endif 
