/*!
  \file   parms_viewer_impl.h
  \brief  parms_Viewer object.

  \author zzli
  \date   2006-05-05
*/

#ifndef _PARMS_VIEWER_IMPL_H_
#define _PARMS_VIEWER_IMPL_H_

#include "parms_viewer.h"
#include "parms_object_impl.h"

/*! \struct parms_Viewer_
  \brief parms_Viewer_ structure.
 */
struct parms_Viewer_ {
  PARMS_OBJHEADER(int *)
  BOOL isstd;			//!< is stdout or stderr
  FILE *fp;			//!< file pointer 
  char *fname;			//!< file name 
};

#endif 
